﻿
namespace Library.Services {
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;
    using System.Data.Linq;
    using System.Web.DomainServices.LinqToSql;
    using Library.DataModel;


    // Implements application logic using the LibraryDBDataContext context.
    // TODO: Add your application logic to these methods or in additional methods.
    [EnableClientAccess()]
    public class LibraryManagementService : LinqToSqlDomainService<LibraryDBDataContext> {

        public IQueryable<Book> GetBooks() {
            return from b in Context.Books
                   where b.Missing == false
                   orderby b.PublishDate descending
                   select b;
        }
    }
}


