﻿// MetaEntityAction.cs
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.Serialization;
using System.Windows.Ria.Data;

namespace System.Windows.Ria.Sync.Offline {

    [EditorBrowsable(EditorBrowsableState.Never)]
    [DataContract]
    public class MetaEntityAction {

        public MetaEntityAction() {
        }

        public MetaEntityAction(string name, bool hasParameters, object[] parameters) {
            Name = name;
            HasParameters = hasParameters;
            Parameters = parameters;
        }

        [DataMember]
        public bool HasParameters {
            get;
            set;
        }

        [DataMember]
        public string Name {
            get;
            set;
        }

        [DataMember]
        public IEnumerable<object> Parameters {
            get;
            set;
        }
    }
}
